> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get drivers

> Get all drivers of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml post /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/drivers
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/drivers:
    post:
      tags:
        - Drivers
      summary: Get drivers
      description: Get all drivers of the specified vehicle
      operationId: getDrivers
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: >-
            The two-letter country code of the asset provider the vehicles
            belong to
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
      requestBody:
        required: true
        description: >-
          The request body contains the pagination information for the retrieval
          of the drivers
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaginationRequest'
      responses:
        '200':
          description: The complete paginated driver list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDriversResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Could not find the vehicle
      security:
        - oauth:
            - openid
components:
  schemas:
    PaginationRequest:
      description: Request what page is wanted to be retrieved
      type: object
      required:
        - pageSize
        - page
      properties:
        pageSize:
          type: integer
          minimum: 1
          maximum: 100
          default: 100
        page:
          type: integer
          minimum: 0
          default: 0
    GetDriversResponse:
      type: object
      required:
        - items
        - pagination
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
        pagination:
          $ref: '#/components/schemas/PaginationResult'
    Customer:
      type: object
      required:
        - mobilityProviderCountryCode
        - mobilityProviderCode
        - customerId
      properties:
        mobilityProviderCountryCode:
          type: string
          description: Mobility provider country code
          minLength: 2
          maxLength: 2
          example: AT
        mobilityProviderCode:
          type: string
          description: Mobility provider code
          minLength: 3
          maxLength: 3
          example: ABC
        customerId:
          type: string
          description: >-
            The user id in UUID format (only the versions 1, 2, 3 and 4 are
            currently supported)
          format: uuid
          example: 828c2d1c-d933-4138-9577-02c292b6d869
    PaginationResult:
      type: object
      required:
        - pageNumber
        - pageSize
        - totalEntries
      properties:
        pageSize:
          type: integer
          minimum: 1
          maximum: 100
          default: 100
        pageNumber:
          type: integer
          minimum: 0
          default: 0
        totalEntries:
          type: integer
          minimum: 0
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````